Subject: Re: [drivers/net/phy/sfp] intermittent failure in state machine checks

From: Russell King - ARM Linux admin <[email-masked]>
Date: Fri, 10 Jan 2020 09:27:00 +0000

On Thu, Jan 09, 2020 at 11:50:14PM +0000, ѽ҉ᶬḳ℠ wrote:
> 
> On 09/01/2020 23:10, Russell King - ARM Linux admin wrote:
> > 
> > Please don't use mii-tool with SFPs that do not have a PHY; the "PHY"
> > registers are emulated, and are there just for compatibility. Please
> > use ethtool in preference, especially for SFPs.
> 
> Sure, just ethtool is not much of help for this particular matter, all there
> is ethtool -m and according to you the EEPROM dump is not to be relied on.

How about just "ethtool eth2" ?

> > CONFIG_DEBUG_GPIO is not the same as having debugfs support enabled.
> > If debugfs is enabled, then gpiolib will provide the current state
> > of gpios through debugfs.  debugfs is normally mounted on
> > /sys/kernel/debug, but may not be mounted by default depending on
> > policy.  Looking in /proc/filesystems will tell you definitively
> > whether debugfs is enabled or not in the kernel.
> debugsfs is mounted but ls -af /sys/kernel/debug/gpio only producing
> (oddly):
> 
> /sys/kernel/debug/gpio

Try "cat /sys/kernel/debug/gpio"

> > So, if that is correct...
> > 
> > Current OpenWRT is derived from 4.19-stable kernels, which include
> > experimental patches picked at some point from my "phy" branch, and
> > TOS is derived from OpenWRT.
> 
> This may not be correct since there are not many device targets in OpenWrt
> that feature a SFP cage (least as of today), the Turris Omnia might even be
> the sole one.

It isn't; there are definitely platforms that run OpenWRT that also
have SFP cages (even a pair of them) and that make use of this code.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTC broadband for 0.8mile line in suburbia: sync at 12.1Mbps down 622kbps up
According to speedtest.net: 11.9Mbps down 500kbps up